Read installation state
curl --request GET \
--url https://galinum.com/api/v1/sdk/installations/{installationId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Galinum-Installation-Capability: <api-key>'import requests
url = "https://galinum.com/api/v1/sdk/installations/{installationId}"
headers = {
"Authorization": "Bearer <token>",
"X-Galinum-Installation-Capability": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
'X-Galinum-Installation-Capability': '<api-key>'
}
};
fetch('https://galinum.com/api/v1/sdk/installations/{installationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations/{installationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Galinum-Installation-Capability: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations/{installationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Galinum-Installation-Capability", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://galinum.com/api/v1/sdk/installations/{installationId}")
.header("Authorization", "Bearer <token>")
.header("X-Galinum-Installation-Capability", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations/{installationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Galinum-Installation-Capability"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"installation": {
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Installations
Read installation state
Installation mutations retain their original acknowledgement for the latest 128 successful mutations per installation. Replays do not extend retention. After eviction, an original stale-revision request returns 409 without reapplying. Use GET installation state for current state.
GET
/
api
/
v1
/
sdk
/
installations
/
{installationId}
Read installation state
curl --request GET \
--url https://galinum.com/api/v1/sdk/installations/{installationId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Galinum-Installation-Capability: <api-key>'import requests
url = "https://galinum.com/api/v1/sdk/installations/{installationId}"
headers = {
"Authorization": "Bearer <token>",
"X-Galinum-Installation-Capability": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
'X-Galinum-Installation-Capability': '<api-key>'
}
};
fetch('https://galinum.com/api/v1/sdk/installations/{installationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations/{installationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Galinum-Installation-Capability: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations/{installationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Galinum-Installation-Capability", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://galinum.com/api/v1/sdk/installations/{installationId}")
.header("Authorization", "Bearer <token>")
.header("X-Galinum-Installation-Capability", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations/{installationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Galinum-Installation-Capability"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"installation": {
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Your project's publishable key (pk_pub_…). Safe to expose in the browser — it identifies the project and is rate-limited, not secret.
Locally generated installation capability. Required with the project publishable key for installation reads and mutations.
Path Parameters
Required string length:
1 - 128Response
Current installation state or replayed acknowledgement.
Show child attributes
Show child attributes